Bug 33484 - [GTK] Add and cleanup return values of signals in view and frame
: [GTK] Add and cleanup return values of signals in view and frame
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk
: 528+ (Nightly build)
: PC All
: P2 Normal
Assigned To: Christian Dywan
: Gtk
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 12:16 PST by Christian Dywan
Modified: 2010-02-04 15:39 PST (History)
1 user (show)

See Also:


Attachments
Add and cleanup return values (12.50 KB, patch)
2010-01-11 12:16 PST, Christian Dywan
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Dywan 2010-01-11 12:16:28 PST
Created attachment 46297 [details]
Add and cleanup return values

I noticed that the return values are missing from some of the signal in WebKitWebView and one in WebKitWebFrame. This causes confusion when looking up a signal and either having crashing code or lacking documented variables.

While I was at it, I changed existing @return tags into Return value: for better readability.
Comment 1 Christian Dywan 2010-01-11 12:17:34 PST
Note the move-cursor signal. I honestly don't know what the return value is supposed to do. Is it a bug that it has no boolean accumulator?
Comment 2 Gustavo Noronha (kov) 2010-01-28 12:26:57 PST
Comment on attachment 46297 [details]
Add and cleanup return values

 1380      * * Return value: a #WebKitNavigationResponse
 1381      *

Additional * here.

I would prefer if you leave move-cursor out of this for now, and report a bug specifically about it. I don't really know whether it should have an accummulator, or if we should simply make it return void, go ahead with the rest, though. Thanks!
Comment 3 Eric Seidel 2010-02-01 16:11:53 PST
Attachment 46297 [details] was posted by a committer and has review+, assigning to Christian Dywan for commit.
Comment 4 Christian Dywan 2010-02-04 15:39:39 PST
Committed with the change to the move-cursor signal removed.

2010-02-04  Christian Dywan  <christian@twotoasts.de>

        Reviewed by Gustavo Noronha Silva.

        [GTK] Add and cleanup return values of signals in view and frame
        https://bugs.webkit.org/show_bug.cgi?id=33484

        Add missing and cleanup return values of web frame and web view signals.

        * webkit/webkitwebframe.cpp:
        (webkit_web_frame_class_init):
        * webkit/webkitwebview.cpp:
        (DNDContentsRequest::webkit_web_view_class_init):